// strgfun.cpp -- funkce s řetězcovým argumentem
#include <iostream>
int c_in_str(const char * str, char ch);
int main()
{
	using namespace std;
	char mmm[15] = "minimum"; 		// řetězec v poli
// některé systémy vyžadují, aby bylo
// při inicializaci pole před int vloženo static

	char *wail = "narikat"; 			// proměnná wail (skučet) ukazuje na řetězec

	int ms = c_in_str(mmm, 'm');
	int as = c_in_str(wail, 'a');
	cout << ms << " znaky m v retezci " << mmm << endl;
	cout << as << " znaky a v retezci " << wail << endl;
	return 0;
}

// tato funkce počítá počet znaků ch
// v řetězci str
int c_in_str(const char * str, char ch)
{
	int count = 0;

	while (*str) 				// konec, když je *str rovno '\0'
	{
		if (*str == ch)
			count++;
		str++; 						// přesun ukazatele na další znak
	}
	return count;
}
